Skip to main content
GET
/
api
/
v3
/
tap
/
destinations
Get Tap Destinations
curl --request GET \
  --url https://server.stage.overflow.co/api/v3/tap/destinations \
  --header 'x-api-key: <api-key>' \
  --header 'x-client-id: <api-key>'
{
  "data": [
    {
      "id": "6816f7ce7d2a1b4c12ab3499",
      "name": "Spring Campaign",
      "type": "web",
      "url": "https://give.example.org/spring",
      "textNumber": "<string>",
      "textContent": "<string>",
      "createdAt": "2026-05-01T17:22:11.421Z",
      "updatedAt": "2026-05-04T14:09:32.145Z",
      "archivedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "totalCount": 100
}

Documentation Index

Fetch the complete documentation index at: https://docs.overflow.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-client-id
string
header
required

Client ID for API authentication

x-api-key
string
header
required

API Key for API authentication

Query Parameters

limit
number
default:25

The number of tap destinations to return.

Required range: 1 <= x <= 100
page
number
default:1

The page number of the tap destinations to return.

Required range: x >= 1

Search tap destinations by name.

Example:

"Main Giving"

destinationType
enum<string>

Filter tap destinations by type.

Available options:
web,
sms
Example:

"web"

includeArchived
boolean

Whether to include tap destinations that have been archived.

sortBy
enum<string>
default:createdAt

The field to sort the tap destinations by.

Available options:
name,
createdAt
Example:

"createdAt"

sortDirection
enum<string>
default:DESC

The direction to sort the tap destinations by.

Available options:
ASC,
DESC
Example:

"DESC"

Response

200 - application/json
data
object[]
required

List of tap destinations.

totalCount
number
required

Total number of tap destinations matching the filters.

Example:

100